View Issue Details

IDProjectCategoryView StatusLast Update
0000750SketcherBugpublic2017-01-22 14:30
Reporterwmayer Assigned Tologari81  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.14 
Summary0000750: Endless loop in sketch solver
DescriptionThere is an endless loop in the while-loop of the method System::solve_DL(SubSystem* subsys).
There is a reproducible way according to the forum postings at https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=8&t=2636&sid=040111b4cd4fa3da377969b1cf50ef9c&start=40

Maybe you should introduce a maximum number of iterations as an abort criterion.
TagsNo tags attached.
FreeCAD Information

Relationships

related to 0001260 closedKunda1 Solver can't handle changing of dimension constraints in depending sketches 

Activities

wmayer

2013-09-28 11:32

administrator   ~0003695

The situation described here [1] seems to confirm this bug.


[1] http://forum.freecadweb.org/viewtopic.php?f=3&t=4651

wmayer

2013-10-04 06:54

administrator   ~0003713

See also: http://forum.freecadweb.org/viewtopic.php?f=3&t=4651&start=30#p36692

wmayer

2013-10-06 09:40

administrator   ~0003716

git show 88493ec

shoogen

2014-02-13 10:10

developer   ~0004208

the commit 88493ec0e5324f4f1f215c0b9d76e05f86865d9e is not related to this bug.
the bug was fixed in c6f7fd74627e525825ca32e567cbd677e60e5db4

Issue History

Date Modified Username Field Change
2012-06-12 09:43 wmayer New Issue
2012-06-12 09:43 wmayer Status new => assigned
2012-06-12 09:43 wmayer Assigned To => logari81
2012-12-20 22:06 logari81 Project FreeCAD => Sketcher
2013-09-28 11:32 wmayer Note Added: 0003695
2013-10-04 06:54 wmayer Note Added: 0003713
2013-10-06 09:40 wmayer Note Added: 0003716
2013-10-06 09:40 wmayer Status assigned => closed
2013-10-06 09:40 wmayer Resolution open => fixed
2013-10-06 09:40 wmayer Fixed in Version => 0.14
2014-02-13 10:10 shoogen Assigned To logari81 => shoogen
2014-02-13 10:10 shoogen Note Added: 0004208
2014-02-13 10:10 shoogen Status closed => feedback
2014-02-13 10:10 shoogen Resolution fixed => reopened
2014-02-13 10:12 shoogen Assigned To shoogen => logari81
2014-02-13 10:12 shoogen Status feedback => closed
2014-02-13 10:12 shoogen Resolution reopened => fixed
2017-01-22 14:30 Kunda1 Relationship added related to 0001260